org.gradle.api

## Class IllegalOperationAtExecutionTimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.InvalidUserDataException
          - - org.gradle.api.IllegalOperationAtExecutionTimeException

- All Implemented Interfaces:
    Serializable

      public class IllegalOperationAtExecutionTimeException
      extends InvalidUserDataException

  A `IllegalOperationAtExecutionTimeException` is thrown if you try to trigger an operation at runtime, which is only allowed at configuration time.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalOperationAtExecutionTimeException(String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalOperationAtExecutionTimeException

          public IllegalOperationAtExecutionTimeException(String message)